Package org.jfree.report.flow

# Class FlowControlOperation

java.lang.Object
org.jfree.report.flow.FlowControlOperation

public class FlowControlOperation extends Object
These objects define, how the iteration over the report definition affects the data source.

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FlowControlOperation`
`ADVANCE`
Requests that the datasource should be moved to the next row.
`static final FlowControlOperation`
`COMMIT`
A commit checks for an pending advance request and commites that request by moving the cursor of the currend datarow forward by one row.
`static final FlowControlOperation`
`DONE`
Finishes (and closes) the currently open context.
`static final FlowControlOperation`
`MARK`
Stores the current datarow state for a later recall.
`static final FlowControlOperation`
`NO_OP`
Do nothing.
`static final FlowControlOperation`
`RECALL`
Recalls a marked position.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FlowControlOperation(String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### MARK

public static final FlowControlOperation MARK
Stores the current datarow state for a later recall. Markpoints from different sources can be nested. Marking does not change the user datasource.

### ADVANCE

public static final FlowControlOperation ADVANCE
Requests that the datasource should be moved to the next row. An advance operation does not change the current cursor position. The cursor is not moved until a 'COMMIT' operation has been reached. Repeatable sections will perform an auto-commit based on the group in which they are in.

### RECALL

public static final FlowControlOperation RECALL
Recalls a marked position.

### NO_OP

public static final FlowControlOperation NO_OP
Do nothing.

### DONE

public static final FlowControlOperation DONE
Finishes (and closes) the currently open context. If the last mark has been closed, the datasource is also closed.

If all datasources have been closes, the empty datasource is used. This datasource cannot be closed (closing has no effect on it).

### COMMIT

public static final FlowControlOperation COMMIT
A commit checks for an pending advance request and commites that request by moving the cursor of the currend datarow forward by one row.

## Constructor Details

### FlowControlOperation

protected FlowControlOperation(String name)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`